Exodus 7.10

Macros | Functions
ex_put_concat_all_blocks.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`

## Macros
#define | EX_PREPARE_BLOCK(TNAME, WNAME, DNUMNAME, VSTATNAME, VIDNAME, LNUMNAME, SNUMNAME, SIDNAME, GSTAT)
#define | EX_PREPARE_ATTRIB_ARRAY(TNAME, CURBLK, DNAME, DVAL, ID, VANAME, VADIM0, VADIM1, VANNAME)
#define | EX_PREPARE_CONN(TNAME, BLK, BLKID, BLKSZ, VNAME, DNAME)

## Functions
int | ex_put_concat_all_blocks (int exoid, const ex_block_params *param)

## Macro Definition Documentation

## ◆ EX_PREPARE_ATTRIB_ARRAY

#define EX_PREPARE_ATTRIB_ARRAY | ( |  | TNAME,
|  |  | CURBLK,
|  |  | DNAME,
|  |  | DVAL,
|  |  | ID,
|  |  | VANAME,
|  |  | VADIM0,
|  |  | VADIM1,
|  |  | VANNAME
| ) |  |

## ◆ EX_PREPARE_BLOCK

#define EX_PREPARE_BLOCK | ( |  | TNAME,
|  |  | WNAME,
|  |  | DNUMNAME,
|  |  | VSTATNAME,
|  |  | VIDNAME,
|  |  | LNUMNAME,
|  |  | SNUMNAME,
|  |  | SIDNAME,
|  |  | GSTAT
| ) |  |

## ◆ EX_PREPARE_CONN

#define EX_PREPARE_CONN | ( |  | TNAME,
|  |  | BLK,
|  |  | BLKID,
|  |  | BLKSZ,
|  |  | VNAME,
|  |  | DNAME
| ) |  |

Value:
if (DNAME > 0) { \
int conn_int_type = NC_INT; \
if (ex_int64_status(exoid) & EX_BULK_INT64_DB) { \
conn_int_type = NC_INT64; \
} \
dims[0] = BLKSZ; \
dims[1] = DNAME; \
\
if ((status = nc_def_var(exoid, VNAME(BLK + 1), conn_int_type, 2, dims, &connid)) != \
NC_NOERR) { \
snprintf(errmsg, MAX_ERR_LENGTH, \
"ERROR: failed to create " TNAME " connectivity array for block %" PRId64 \
" in file id %d", \
BLKID, exoid); \
ex_err_fn(exoid, __func__, errmsg, status); \
goto error_ret; /* exit define mode and return */ \
} \
ex_compress_variable(exoid, connid, 1); \
}
ex_int64_status
int ex_int64_status(int exoid)
Definition: ex_conv.c:331
MAX_ERR_LENGTH
#define MAX_ERR_LENGTH
Definition: exodusII.h:301
obj_stats::exoid
int exoid
Definition: exodusII_int.h:769
EX_BULK_INT64_DB
#define EX_BULK_INT64_DB
Definition: exodusII.h:125
NC_INT64
#define NC_INT64
Definition: ex_put_loadbal_param_cc.c:69

## Function Documentation

## ◆ ex_put_concat_all_blocks()

int ex_put_concat_all_blocks | ( | int | exoid,
|  | const ex_block_params * | param
| ) |  |

writes the parameters used to describe all element, edge, and face blocks

Parameters

  exoid | exodus file id
  param | block parameters structure